Bug 168287 - Web Inspector: RTL: [META] Timeline tab needs adjustments for RTL layout
Summary: Web Inspector: RTL: [META] Timeline tab needs adjustments for RTL layout
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on: 169582 169583 169584 169585 169588 169694
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-13 23:03 PST by Brian Burg
Modified: 2017-03-18 17:51 PDT (History)
4 users (show)

See Also:


Attachments
SCREENSHOT (RTL) (29.03 KB, image/png)
2017-02-13 23:03 PST, Brian Burg
no flags Details
Timeline Tab (RTL) (350.81 KB, image/png)
2017-02-23 11:00 PST, Brian Burg
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2017-02-13 23:03:46 PST
Created attachment 301463 [details]
SCREENSHOT (RTL)

Looks weird, probably using margin-left.
Comment 1 Radar WebKit Bug Importer 2017-02-13 23:05:34 PST
<rdar://problem/30508121>
Comment 2 Devin Rousso 2017-02-23 10:24:36 PST
I think this was fixed by <https://webkit.org/b/168446>.
Comment 3 Brian Burg 2017-02-23 10:53:06 PST
Wrong screenshot.
Comment 4 Brian Burg 2017-02-23 11:00:29 PST
Created attachment 302538 [details]
Timeline Tab (RTL)

Things to be fixed, probably in smaller bugs:

- DataGrid resizers resize the wrong column
- DataGrid borders are broken on some columns
- Timeline overviews should draw RTL
- Timeline rulers are backwards too
- Disclosure triangles are messed up
- Need to investigate localization of px, px^2, ms, etc.
- List of timelines is on wrong side of overview
- Similar issues for Memory, Allocations, and Rendering Frames

Feel free to make smaller bugs!